# TMCCommandBindingContext Class Reference

Inheritance diagram for TMCCommandBindingContext:

List of all members.

## Public Member Functions
| TMCCommandBindingContext ()
| ~TMCCommandBindingContext ()
void | SetBindingContextID (IDType inContextID)
void | SetBindingContextName (const TMCString &inName)
IDType | GetBindingContextID ()
const TMCString & | GetBindingContextName ()
TMCCommandBindingGroup & | AddBindingGroup ()
void | FindSameShortcut (const TMCCommandBinding &inShortcut, TMCCommandAndContext &result)
TMCCommandBinding * | FindBinding (const int32 inCommandID)
TMCCommandBindingGroup * | FindBindingGroup (const IDType inGroupID)
int32 | GetBindingGroupsCount () const
TMCCommandBindingGroup & | GetBindingGroup (int32 groupIndex)
void | Sort ()
## Protected Member Functions
virtual TMCCommandBindingGroup * | CreateBindingGroup ()
## Protected Attributes
IDType | fBindingContextID
TMCDynamicString | fBindingContextName
TMCPtrArray < TMCCommandBindingGroup > | fBindingGroups
## Private Member Functions
TMCCommandBindingContext & | operator= (const TMCCommandBindingContext &other)
| TMCCommandBindingContext (const TMCCommandBindingContext &other)

## Constructor & Destructor Documentation

TMCCommandBindingContext::TMCCommandBindingContext | ( |  | ) | `[inline]`

TMCCommandBindingContext::~TMCCommandBindingContext | ( |  | ) | `[inline]`

TMCCommandBindingContext::TMCCommandBindingContext | ( | const TMCCommandBindingContext & | other | ) | `[inline, private]`

## Member Function Documentation

TMCCommandBindingGroup& TMCCommandBindingContext::AddBindingGroup | ( |  | ) |

virtual TMCCommandBindingGroup* TMCCommandBindingContext::CreateBindingGroup | ( |  | ) | `[inline, protected, virtual]`

TMCCommandBinding* TMCCommandBindingContext::FindBinding | ( | const int32 | inCommandID | ) |

TMCCommandBindingGroup* TMCCommandBindingContext::FindBindingGroup | ( | const IDType | inGroupID | ) |

void TMCCommandBindingContext::FindSameShortcut | ( | const TMCCommandBinding & | inShortcut,
|  | TMCCommandAndContext & | result |
| ) |  |  |

IDType TMCCommandBindingContext::GetBindingContextID | ( |  | ) | `[inline]`

const TMCString& TMCCommandBindingContext::GetBindingContextName | ( |  | ) | `[inline]`

TMCCommandBindingGroup& TMCCommandBindingContext::GetBindingGroup | ( | int32 | groupIndex | ) | `[inline]`

int32 TMCCommandBindingContext::GetBindingGroupsCount | ( |  | ) | const`[inline]`

TMCCommandBindingContext& TMCCommandBindingContext::operator= | ( | const TMCCommandBindingContext & | other | ) | `[inline, private]`

void TMCCommandBindingContext::SetBindingContextID | ( | IDType | inContextID | ) | `[inline]`

void TMCCommandBindingContext::SetBindingContextName | ( | const TMCString & | inName | ) | `[inline]`

void TMCCommandBindingContext::Sort | ( |  | ) |

## Member Data Documentation

IDType TMCCommandBindingContext::fBindingContextID`[protected]`

TMCDynamicString TMCCommandBindingContext::fBindingContextName`[protected]`

TMCPtrArray<TMCCommandBindingGroup> TMCCommandBindingContext::fBindingGroups`[protected]`

The documentation for this class was generated from the following file:

- MCCommandBinding.h